package net.minecraft.network.protocol.game;

import net.minecraft.network.PacketListener;

public interface ServerGamePacketListener extends PacketListener {
    void handleAnimate(final ServerboundSwingPacket qz);
    
    void handleChat(final ServerboundChatPacket pp);
    
    void handleClientCommand(final ServerboundClientCommandPacket pq);
    
    void handleClientInformation(final ServerboundClientInformationPacket pr);
    
    void handleContainerAck(final ServerboundContainerAckPacket pt);
    
    void handleContainerButtonClick(final ServerboundContainerButtonClickPacket pu);
    
    void handleContainerClick(final ServerboundContainerClickPacket pv);
    
    void handlePlaceRecipe(final ServerboundPlaceRecipePacket qh);
    
    void handleContainerClose(final ServerboundContainerClosePacket pw);
    
    void handleCustomPayload(final ServerboundCustomPayloadPacket px);
    
    void handleInteract(final ServerboundInteractPacket qa);
    
    void handleKeepAlive(final ServerboundKeepAlivePacket qb);
    
    void handleMovePlayer(final ServerboundMovePlayerPacket qd);
    
    void handlePlayerAbilities(final ServerboundPlayerAbilitiesPacket qi);
    
    void handlePlayerAction(final ServerboundPlayerActionPacket qj);
    
    void handlePlayerCommand(final ServerboundPlayerCommandPacket qk);
    
    void handlePlayerInput(final ServerboundPlayerInputPacket ql);
    
    void handleSetCarriedItem(final ServerboundSetCarriedItemPacket qs);
    
    void handleSetCreativeModeSlot(final ServerboundSetCreativeModeSlotPacket qv);
    
    void handleSignUpdate(final ServerboundSignUpdatePacket qy);
    
    void handleUseItemOn(final ServerboundUseItemOnPacket rb);
    
    void handleUseItem(final ServerboundUseItemPacket rc);
    
    void handleTeleportToEntityPacket(final ServerboundTeleportToEntityPacket ra);
    
    void handleResourcePackResponse(final ServerboundResourcePackPacket qo);
    
    void handlePaddleBoat(final ServerboundPaddleBoatPacket qf);
    
    void handleMoveVehicle(final ServerboundMoveVehiclePacket qe);
    
    void handleAcceptTeleportPacket(final ServerboundAcceptTeleportationPacket pm);
    
    void handleRecipeBookUpdatePacket(final ServerboundRecipeBookUpdatePacket qm);
    
    void handleSeenAdvancements(final ServerboundSeenAdvancementsPacket qp);
    
    void handleCustomCommandSuggestions(final ServerboundCommandSuggestionPacket ps);
    
    void handleSetCommandBlock(final ServerboundSetCommandBlockPacket qt);
    
    void handleSetCommandMinecart(final ServerboundSetCommandMinecartPacket qu);
    
    void handlePickItem(final ServerboundPickItemPacket qg);
    
    void handleRenameItem(final ServerboundRenameItemPacket qn);
    
    void handleSetBeaconPacket(final ServerboundSetBeaconPacket qr);
    
    void handleSetStructureBlock(final ServerboundSetStructureBlockPacket qx);
    
    void handleSelectTrade(final ServerboundSelectTradePacket qq);
    
    void handleEditBook(final ServerboundEditBookPacket py);
    
    void handleEntityTagQuery(final ServerboundEntityTagQuery pz);
    
    void handleBlockEntityTagQuery(final ServerboundBlockEntityTagQuery pn);
    
    void handleSetJigsawBlock(final ServerboundSetJigsawBlockPacket qw);
    
    void handleChangeDifficulty(final ServerboundChangeDifficultyPacket po);
    
    void handleLockDifficulty(final ServerboundLockDifficultyPacket qc);
}
